Deployments.ai Docs
Memory

Record retrieval usefulness feedback

POST /v1/memory/{memoryId}/retrievals/{retrievalId}/feedback · SDK recordMemoryRetrievalFeedback · CLI deployments memory-retrieval feedback

POST
/v1/memory/{memoryId}/retrievals/{retrievalId}/feedback

Requires memory:write.

Authorization

tenantJwt
headerAuthorizationBearer <token>

Tenant JWT carrying organization, project, and environment claims.

Path Parameters

memoryId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
retrievalId*string
Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

x-deployments-environment?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-organization?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
x-deployments-project?string

Optional tenant consistency assertion; when supplied, it must match the authenticated credential.

Match^[0-7][0-9A-HJKMNP-TV-Z]{25}$
idempotency-key?string

Limited to 500 UTF-8 bytes.

Length1 <= length <= 500

Request Body

application/json
  1. body
feedback?string
usefulness*string
Value in"harmful""neutral""useful"

Response Body

MemoryObjectResponse

application/json
  1. response
curl -X POST "https://example.com/v1/memory/string/retrievals/string/feedback" \  -H "Content-Type: application/json" \  -d '{    "usefulness": "harmful"  }'
{}